## maint-guide 1.2.49

=== Makefile ===
#######################################################################
# Build maint-guide
# vim: set ts=8:
#######################################################################
### key adjustable parameters
#######################################################################
# base file name excluding file extension
MANUAL	:=	maint-guide
# languages translated with PO files
LANGPO	:=	ca de es fr it ja ru vi zh-cn zh-tw
# languages to skip generation of PDF files
NOPDF	:=	
# languages to build document
LANGALL	=	en $(LANGPO)

VERSION := "GIT: $(shell LC_ALL=C date -u +'%F %T %Z')"

ifndef TMPDIR
TMPDIR	:= $(CURDIR)/tmp
endif

# Change $(DRAFTMODE) from "yes" to "maybe" when this document
# should go into production mode
#DRAFTMODE      := yes
DRAFTMODE       := maybe
export DRAFTMODE
#######################################################################
### basic constant parameters
#######################################################################
# Directories (no trailing slash)
DXSL	:=	xslt
DBIN	:=	bin
DDOC	:=	doc
DPO	:=	po
DIMG	:=	/usr/share/xml/docbook/stylesheet/nwalsh/images

# Program name and option
XLINT	:=	xmllint --format
XPNO	:=	xsltproc --novalid --nonet
XPINC	:=	xsltproc --novalid --nonet --xinclude
# The threshold should be 80 if translation is completed.
THRESHOLD:=	0
TRANSLATE:=	po4a-translate  -M utf-8          --format docbook --keep $(THRESHOLD) -v
GETTEXT	:=	po4a-gettextize -M utf-8 -L utf-8 --format docbook
UPDATEPO:=	msgmerge --update --previous
MSGATTR	:=	msgattrib
MSGCAT	:=	msgcat
DBLATEX	:=	dblatex

# English source files
DOCS	:=	$(shell ls $(DDOC)/*)
# source XML inclusion files (excluding version.ent)
ENT_STAT:=	common.ent $(addsuffix .ent, $(addprefix  $(DPO)/, $(LANGPO)))
ENT_ALL	:=	$(ENT_STAT) version.ent
# source PO files for all languages (build prcess requires these)
SRC_PO	:=	$(addsuffix .po, $(addprefix  $(DPO)/, $(LANGPO)))
# source XML files for all languages (build prcess requires these)
SRC_XML	:=	$(addsuffix .xml, $(addprefix  $(MANUAL)., $(LANGALL)))

#######################################################################
# Used as $(call check-command, <command>, <package>)
define check-command
set -e; if ! which $(1) >/dev/null; then \
  echo "Missing command: $(1), install package: $(2)"; \
  false; \
fi
endef

#######################################################################
# $ make all       # build all
#######################################################################
.PHONY: all
# set LANGPO to limit language to speed up build
all: css html txt pdf

#######################################################################
# $ make test      # build html for testing (for Translator)
#######################################################################
.PHONY: test
test: html css

#######################################################################
# $ make publish   # build html text from EN.XML/PO for DDP
#######################################################################
.PHONY: package
# $(PUBLISHDIR) is set to be: /org/www.debian.org/www/doc/manuals for master-www
publish:
	-mkdir -p $(PUBLISHDIR)/$(MANUAL)
	$(MAKE) css html txt "TMPDIR=$(PUBLISHDIR)/$(MANUAL)"

#######################################################################
# $ make clean     # clean files ready for tar
#######################################################################
.PHONY: clean
clean:
	-rm -f $(MANUAL).en.xml
	-rm -f *.swp *~ *.tmp
	-rm -f $(DPO)/*~ $(DPO)/*.mo $(DPO)/*.po.*
	-rm -rf $(TMPDIR)
	-rm -f $(addsuffix .xml, $(addprefix $(MANUAL)., $(LANGPO) en))
	-rm -f version.ent

#######################################################################
# $ make distclean # clean files to reset EN.XML/ENT/POT
#######################################################################
.PHONY: distclean
distclean: clean
	-rm -f $(DDOC)/*~
	-rm -f $(DPO)/*.pot
	-rm -f fuzzy.log

##############################################################################
# Version file preparations
##############################################################################
# version from debian/changelog
# if for www-master directly building from subversion source
version.ent: $(DOCS)
	echo "<!ENTITY docisodate \"$(shell LC_ALL=C date -u +'%F %T %Z')\">" > version.ent
	echo "<!ENTITY docversion \"$(VERSION)\">" >> version.ent

#######################################################################
# $ make po        # update all PO from EN.XML
#######################################################################
.PHONY: po pot
pot: $(DPO)/templates.pot
po: $(SRC_PO)

# Do not record line number to avoid useless diff in po/*.po files: --no-location
# Do not update templates.pot if contents are the same as before; -I '^"POT-Creation-Date:'
$(DPO)/templates.pot: $(MANUAL).en.xml FORCE
	@$(call check-command, po4a-gettextize, po4a)
	@$(call check-command, msgcat, gettext)
	$(GETTEXT) -m $(MANUAL).en.xml | $(MSGCAT) --no-location -o $(DPO)/templates.pot.new -
	if diff -I '^"POT-Creation-Date:' -q $(DPO)/templates.pot $(DPO)/templates.pot.new ; then \
	  echo "Don't update templates.pot" ;\
	  touch $(DPO)/templates.pot ;\
	  rm -f $(DPO)/templates.pot.new ;\
	else \
	  echo "Update templates.pot" ;\
	  mv -f $(DPO)/templates.pot.new $(DPO)/templates.pot ;\
	fi
	: > fuzzy.log

# Always update
$(DPO)/%.po: $(DPO)/templates.pot FORCE
	@$(call check-command, msgmerge, gettext)
	$(UPDATEPO) $(DPO)/$*.po $(DPO)/templates.pot
	MESS1="no-obsolete  $*  `$(MSGATTR) --no-obsolete  $(DPO)/$*.po |grep ^msgid |sed 1d|wc -l`";\
	MESS2="untranslated $*  `$(MSGATTR) --untranslated $(DPO)/$*.po |grep ^msgid |sed 1d|wc -l`";\
	MESS3="fuzzy        $*  `$(MSGATTR) --fuzzy        $(DPO)/$*.po |grep ^msgid |sed 1d|wc -l`";\
	echo "$$MESS1" >>fuzzy.log ; \
	echo "$$MESS2" >>fuzzy.log ; \
	echo "$$MESS3" >>fuzzy.log ; \
	echo "" >>fuzzy.log

FORCE:

#######################################################################
# $ make wrap       # wrap all PO
#######################################################################
.PHONY: wrap nowrap wip
wrap:
	@$(call check-command, msgcat, gettext)
	for XX in $(foreach LX, $(LANGPO), $(DPO)/$(LX).po); do \
	$(MSGCAT) -o $$XX $$XX ;\
	done
nowrap:
	@$(call check-command, msgcat, gettext)
	for XX in $(foreach LX, $(LANGPO), $(DPO)/$(LX).po); do \
	$(MSGCAT) -o $$XX --no-wrap $$XX ;\
	done

wip:
	@$(call check-command, msgattrib, gettext)
	for XX in $(foreach LX, $(LANGPO), $(DPO)/$(LX).po); do \
	$(MSGATTR) -o $$XX.fuzz --fuzzy        $$XX ;\
	$(MSGATTR) -o $$XX.untr --untranslated $$XX ;\
	done

#######################################################################
# $ make xml      # update all *.xml (EN.XML ...) from DOCS /ENT/PO/ADD
#######################################################################
.PHONY: xml
xml: $(SRC_XML)

$(MANUAL).en.xml: $(DOCS)
	: > $@
	for i in $(DOCS) ; do cat $$i >> $@ ; done

$(MANUAL).%.xml: $(DPO)/%.po $(MANUAL).en.xml
	@$(call check-command, po4a-translate, po4a)
	@$(call check-command, msgcat, gettext)
	$(DBIN)/genxml $*
	sed -i -e 's/$(DPO)\/en\.ent/$(DPO)\/$*.ent/' $@

#######################################################################
# $ make css       # update CSS and DIMG in $(TMPDIR)
#######################################################################
.PHONY: css
css:
	-rm -rf $(TMPDIR)/images
	mkdir -p $(TMPDIR)/images
	cp -f $(DXSL)/debian.css $(TMPDIR)/debian.css
	echo "AddCharset UTF-8 .txt" > $(TMPDIR)/.htaccess
	cd png ; cp caution.png home.png important.png next.png note.png prev.png tip.png warning.png $(TMPDIR)/images

#######################################################################
# $ make html      # update all HTML in $(TMPDIR)
#######################################################################
.PHONY: html
html:	$(foreach LX, $(LANGALL), $(TMPDIR)/index.$(LX).html)

$(TMPDIR)/index.%.html: $(MANUAL).%.xml $(ENT_ALL)
	@$(call check-command, xsltproc, xsltproc)
	-mkdir -p $(TMPDIR)
	$(XPINC)   --stringparam base.dir $(TMPDIR)/ \
                --stringparam html.ext .$*.html \
                $(DXSL)/style-html.xsl $<

#######################################################################
# $ make txt       # update all Plain TEXT in $(TMPDIR)
#######################################################################
.PHONY: txt
txt:	$(foreach LX, $(LANGALL), $(TMPDIR)/$(MANUAL).$(LX).txt)

# txt.xsl provides work around for hidden URL links by appending them explicitly.
$(TMPDIR)/$(MANUAL).%.txt: $(MANUAL).%.xml $(ENT_ALL)
	@$(call check-command, w3m, w3m)
	@$(call check-command, xsltproc, xsltproc)
	-mkdir -p $(TMPDIR)
	@test -n "`which w3m`"  || { echo "ERROR: w3m not found. Please install the w3m package." ; false ;  }
	$(XPINC) $(DXSL)/style-txt.xsl $< | \
	  LC_ALL=en_US.UTF-8 w3m -o display_charset=UTF-8 -cols 70 -dump -no-graph -T text/html > $@


#######################################################################
# $ make pdf       # update all PDF in $(TMPDIR)
#######################################################################
.PHONY: pdf
pdf:	$(foreach LX, $(LANGALL), $(TMPDIR)/$(MANUAL).$(LX).pdf)

$(foreach LX, $(NOPDF), $(TMPDIR)/$(MANUAL).$(LX).pdf):
	-mkdir -p $(TMPDIR)
	echo "PDF generation skipped." >$@

# dblatex.xsl provide work around for hidden URL links by appending them explicitly.
$(TMPDIR)/$(MANUAL).%.pdf: $(MANUAL).%.xml $(ENT_ALL)
	@$(call check-command, dblatex, dblatex)
	@$(call check-command, xsltproc, xsltproc)
	-mkdir -p $(TMPDIR)/pdf-$*
	@test -n "`which $(DBLATEX)`"  || { echo "ERROR: dblatex not found. Please install the dblatex package." ; false ;  }
	export TEXINPUTS=".:"; \
	export TMPDIR="$(TMPDIR)/pdf-$*"; \
	$(XPINC) $(DXSL)/dblatex.xsl $<  | \
	$(DBLATEX) --style=native \
		--debug \
		--backend=xetex \
		--xsl-user=$(DXSL)/user_param.xsl \
		--xsl-user=$(DXSL)/xetex_param.xsl \
		--param=draft.mode=$(DRAFTMODE) \
		--param=lingua=$* \
		--output=$@ - || { echo "OMG!!!!!! XXX_CHECK_XXX ... Do not worry ..."; true ; }

#######################################################################
# $ make tex       # update all TeX source in $(TMPDIR)
#######################################################################
.PHONY: tex
tex:	$(foreach LX, $(LANGALL), $(TMPDIR)/$(MANUAL).$(LX).tex)

# dblatex.xsl provide work around for hidden URL links by appending them explicitly.
$(TMPDIR)/$(MANUAL).%.tex: $(MANUAL).%.xml $(ENT_ALL)
	-mkdir -p $(TMPDIR)/tex-$*
	@test -n "`which $(DBLATEX)`"  || { echo "ERROR: dblatex not found. Please install the dblatex package." ; false ;  }
	export TEXINPUTS=".:"; \
	export TMPDIR="$(TMPDIR)/tex-$*"; \
	$(XPINC) $(DXSL)/dblatex.xsl $<  | \
	$(DBLATEX) --style=native \
		--debug \
		--type=tex \
		--backend=xetex \
		--xsl-user=$(DXSL)/user_param.xsl \
		--xsl-user=$(DXSL)/xetex_param.xsl \
		--param=draft.mode=$(DRAFTMODE) \
		--param=lingua=$* \
		--output=$@ - || { echo "OMG!!!!!! XXX_CHECK_XXX ... Do not worry ..."; true ; }

#######################################################################
# $ make epub      # update all epub in $(TMPDIR)
#######################################################################
.PHONY: epub
epub:	$(foreach LX, $(LANGALL), $(TMPDIR)/$(MANUAL).$(LX).epub)

$(TMPDIR)/$(MANUAL).%.epub: $(MANUAL).%.xml $(ENT_ALL)
	@$(call check-command, xsltproc, xsltproc)
	-mkdir -p $(TMPDIR)/epub-$*/
	cd $(TMPDIR)/epub-$*/ ; $(XPINC) $(CURDIR)/$(DXSL)/style-epub.xsl $(CURDIR)/$<
	cp -f $(DXSL)/mimetype $(TMPDIR)/epub-$*/mimetype
	cp -f $(DXSL)/debian.css $(TMPDIR)/epub-$*/OEBPS/debian.css
	cp -f $(DXSL)/debian-openlogo.png $(TMPDIR)/epub-$*/OEBPS/debian-openlogo.png
	cd $(TMPDIR)/epub-$*/ ; zip -r $@ ./

#######################################################################
### Utility targets
#######################################################################
#######################################################################
# $ make rsync
# export build result to http://people.debian.org/~osamu/$(MANUAL)/

=== debian/changelog ===
maint-guide (1.2.49) unstable; urgency=medium

  * po: update de by Holger Wansing.
  * Stop building epub since it causes FTBR.
  * Work around DocBook source generation issue by dropping URL link
    in the legal block.  Closes: #1008399

 -- Osamu Aoki <osamu@debian.org>  Tue, 26 Apr 2022 20:29:10 +0900

maint-guide (1.2.48) unstable; urgency=medium

  * Update dquilt.  Closes: Bug#882809

 -- Osamu Aoki <osamu@debian.org>  Sun, 27 Feb 2022 22:11:14 +0900

## maint-guide 1.2.50

=== debian/changelog ===
maint-guide (1.2.50) unstable; urgency=medium

  * Use date from d/changelog for reproducible build.

 -- Osamu Aoki <osamu@debian.org>  Sun, 08 May 2022 10:03:56 +0900

## maint-guide 1.2.51

=== Makefile ===
--- 
+++ 
@@ -14,6 +14,11 @@
 LANGALL	=	en $(LANGPO)
 
 VERSION := "GIT: $(shell LC_ALL=C date -u +'%F %T %Z')"
+
+# set SOURCE_DATE_EPOCH if unset (when not called from debhelper)
+SOURCE_DATE_EPOCH ?= $(shell dpkg-parsechangelog -STimestamp)
+# date in changelog
+SOURCE_DATE := $(shell date -u +'%F %T %Z' --date=@$(SOURCE_DATE_EPOCH))
 
 ifndef TMPDIR
 TMPDIR	:= $(CURDIR)/tmp
@@ -115,7 +120,7 @@
 # version from debian/changelog
 # if for www-master directly building from subversion source
 version.ent: $(DOCS)
-	echo "<!ENTITY docisodate \"$(shell LC_ALL=C date -u +'%F %T %Z')\">" > version.ent
+	echo "<!ENTITY docisodate \"$(SOURCE_DATE)\">" > version.ent
 	echo "<!ENTITY docversion \"$(VERSION)\">" >> version.ent
 
 #######################################################################
@@ -301,7 +306,3 @@
 
 #######################################################################
 ### Utility targets
-#######################################################################
-#######################################################################
-# $ make rsync
-# export build result to http://people.debian.org/~osamu/$(MANUAL)/

=== debian/changelog ===
maint-guide (1.2.51) unstable; urgency=medium

  * Mention source-only upload issue.  Closes: #1015785

 -- Osamu Aoki <osamu@debian.org>  Thu, 21 Jul 2022 22:08:39 +0900

## maint-guide 1.2.53

=== Makefile ===
--- 
+++ 
@@ -45,8 +45,7 @@
 XPINC	:=	xsltproc --novalid --nonet --xinclude
 # The threshold should be 80 if translation is completed.
 THRESHOLD:=	0
-TRANSLATE:=	po4a-translate  -M utf-8          --format docbook --keep $(THRESHOLD) -v
-GETTEXT	:=	po4a-gettextize -M utf-8 -L utf-8 --format docbook
+PO4A	:=	po4a -v
 UPDATEPO:=	msgmerge --update --previous
 MSGATTR	:=	msgattrib
 MSGCAT	:=	msgcat
@@ -60,7 +59,7 @@
 # source PO files for all languages (build prcess requires these)
 SRC_PO	:=	$(addsuffix .po, $(addprefix  $(DPO)/, $(LANGPO)))
 # source XML files for all languages (build prcess requires these)
-SRC_XML	:=	$(addsuffix .xml, $(addprefix  $(MANUAL)., $(LANGALL)))
+SRC_XML	:=	$(addsuffix .xml, $(addprefix  $(MANUAL)., $(LANGPO)))
 
 #######################################################################
 # Used as $(call check-command, <command>, <package>)
@@ -98,11 +97,10 @@
 #######################################################################
 .PHONY: clean
 clean:
-	-rm -f $(MANUAL).en.xml
+	-rm -f $(addsuffix .xml, $(addprefix $(MANUAL)., *))
 	-rm -f *.swp *~ *.tmp
 	-rm -f $(DPO)/*~ $(DPO)/*.mo $(DPO)/*.po.*
 	-rm -rf $(TMPDIR)
-	-rm -f $(addsuffix .xml, $(addprefix $(MANUAL)., $(LANGPO) en))
 	-rm -f version.ent
 
 #######################################################################
@@ -111,7 +109,6 @@
 .PHONY: distclean
 distclean: clean
 	-rm -f $(DDOC)/*~
-	-rm -f $(DPO)/*.pot
 	-rm -f fuzzy.log
 
 ##############################################################################
@@ -126,39 +123,31 @@
 #######################################################################
 # $ make po        # update all PO from EN.XML
 #######################################################################
-.PHONY: po pot
-pot: $(DPO)/templates.pot
-po: $(SRC_PO)
-
-# Do not record line number to avoid useless diff in po/*.po files: --no-location
-# Do not update templates.pot if contents are the same as before; -I '^"POT-Creation-Date:'
-$(DPO)/templates.pot: $(MANUAL).en.xml FORCE
-	@$(call check-command, po4a-gettextize, po4a)
-	@$(call check-command, msgcat, gettext)
-	$(GETTEXT) -m $(MANUAL).en.xml | $(MSGCAT) --no-location -o $(DPO)/templates.pot.new -
-	if diff -I '^"POT-Creation-Date:' -q $(DPO)/templates.pot $(DPO)/templates.pot.new ; then \
-	  echo "Don't update templates.pot" ;\
-	  touch $(DPO)/templates.pot ;\
-	  rm -f $(DPO)/templates.pot.new ;\
-	else \
-	  echo "Update templates.pot" ;\
-	  mv -f $(DPO)/templates.pot.new $(DPO)/templates.pot ;\
-	fi
+
+# Always update POs and XMLs with po4a, then create fuzzy.log
+fuzzy.log:
+	@$(call check-command, msgmerge, gettext)
+	touch -t 200001010000 $(DPO)/templates.pot
+	$(PO4A) po4a.cfg
 	: > fuzzy.log
-
-# Always update
-$(DPO)/%.po: $(DPO)/templates.pot FORCE
-	@$(call check-command, msgmerge, gettext)
-	$(UPDATEPO) $(DPO)/$*.po $(DPO)/templates.pot
-	MESS1="no-obsolete  $*  `$(MSGATTR) --no-obsolete  $(DPO)/$*.po |grep ^msgid |sed 1d|wc -l`";\
-	MESS2="untranslated $*  `$(MSGATTR) --untranslated $(DPO)/$*.po |grep ^msgid |sed 1d|wc -l`";\
-	MESS3="fuzzy        $*  `$(MSGATTR) --fuzzy        $(DPO)/$*.po |grep ^msgid |sed 1d|wc -l`";\
+	for f in $(LANGPO); do \
+ 	sed -i -e "s/$(DPO)\/en\.ent/$(DPO)\/$$f.ent/" $(MANUAL).$$f.xml ; \
+	MESS1="no-obsolete  $$f  `$(MSGATTR) --no-obsolete  $(DPO)/$$f.po |grep ^msgid |sed 1d|wc -l`";\
+	MESS2="untranslated $$f  `$(MSGATTR) --untranslated $(DPO)/$$f.po |grep ^msgid |sed 1d|wc -l`";\
+	MESS3="fuzzy        $$f  `$(MSGATTR) --fuzzy        $(DPO)/$$f.po |grep ^msgid |sed 1d|wc -l`";\
 	echo "$$MESS1" >>fuzzy.log ; \
 	echo "$$MESS2" >>fuzzy.log ; \
 	echo "$$MESS3" >>fuzzy.log ; \
-	echo "" >>fuzzy.log
-
-FORCE:
+	echo "" >>fuzzy.log ;\
+	done
+
+.PHONY: po
+po: fuzzy.log
+$(SRC_PO): fuzzy.log
+
+.PHONY: xml
+xml: fuzzy.log
+$(SRC_XML): fuzzy.log
 
 #######################################################################
 # $ make wrap       # wrap all PO
@@ -185,18 +174,10 @@
 #######################################################################
 # $ make xml      # update all *.xml (EN.XML ...) from DOCS /ENT/PO/ADD
 #######################################################################
-.PHONY: xml
-xml: $(SRC_XML)
 
 $(MANUAL).en.xml: $(DOCS)
 	: > $@
 	for i in $(DOCS) ; do cat $$i >> $@ ; done
-
-$(MANUAL).%.xml: $(DPO)/%.po $(MANUAL).en.xml
-	@$(call check-command, po4a-translate, po4a)
-	@$(call check-command, msgcat, gettext)
-	$(DBIN)/genxml $*
-	sed -i -e 's/$(DPO)\/en\.ent/$(DPO)\/$*.ent/' $@
 
 #######################################################################
 # $ make css       # update CSS and DIMG in $(TMPDIR)
@@ -306,3 +287,25 @@
 
 #######################################################################
 ### Utility targets
+#######################################################################
+#######################################################################
+# $ make rsync
+# export build result to http://people.debian.org/~osamu/$(MANUAL)/
+#######################################################################
+.PHONY: rsync
+rsync: all
+	-rm -rf $(TMPDIR)/pdf-*
+	-rm -rf $(TMPDIR)/tex-*
+	-rm -rf $(TMPDIR)/epub-*
+	cp -f fuzzy.log $(TMPDIR)/
+	rsync -avz $(TMPDIR)/ osamu@people.debian.org:public_html/$(MANUAL)/
+
+#######################################################################
+# $ make url       # check duplicate URL references
+#######################################################################
+.PHONY: url
+url: $(MANUAL).en.xml
+	@echo "----- Duplicate URL references (start) -----"
+	-sed -ne "/^<\!ENTITY/s/<\!ENTITY \([^ ]*\) .*$$/\" \1 \"/p"  < $< | uniq -d | xargs -n 1 grep $< -e  | grep -e "^<\!ENTITY"
+	@echo "----- Duplicate URL references (end) -----"
+

=== po/Makefile ===
main:
	msgfmt -v -o /dev/null zh-cn.po

=== debian/changelog ===
maint-guide (1.2.53) unstable; urgency=medium

  [ Helge Kreutzmann ]
  * po: update de by Helge Kreutzmann.

  [ Osamu Aoki ]
  * Correct changelog.  Closes: #1021106

 -- Osamu Aoki <osamu@debian.org>  Sat, 08 Oct 2022 12:52:48 +0900

maint-guide (1.2.52) unstable; urgency=medium

  * Use po4a command.  Closes: #1020198
  * Update zh-tw.po by filling missing up-to-date translation
    from zh-cn.po .

 -- Osamu Aoki <osamu@debian.org>  Wed, 28 Sep 2022 23:23:21 +0900

=== debian/control ===
Source: maint-guide
Section: doc
Priority: optional
Maintainer: Osamu Aoki <osamu@debian.org>
Uploaders:
 Josip Rodin <joy-packages@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
Build-Depends-Indep:
 dblatex,
 docbook-xml,
 docbook-xsl,
 fonts-liberation2,
 fonts-vlgothic,
 fonts-wqy-microhei,
 lmodern,
 locales-all | locales,
 opencc,
 po4a,
 texlive-lang-chinese,
 texlive-lang-cyrillic,
 texlive-lang-french,
 texlive-lang-german,
 texlive-lang-italian,
 texlive-lang-japanese,
 texlive-lang-other,
 texlive-lang-spanish,
 texlive-xetex,
 w3m,
 xsltproc,
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/debian/maint-guide.git
Vcs-Browser: https://salsa.debian.org/debian/maint-guide
Homepage: https://www.debian.org/doc/devel-manuals#maint-guide

Package: maint-guide
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Suggests:
 debian-policy,
 developers-reference,
 devscripts,
 dh-make,
 doc-base,
 dupload | dput,
 fakeroot,
 lintian,
 pbuilder,
 quilt,
Description: Debian New Maintainers' Guide
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package

Package: maint-guide-ca
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Suggests:
 debian-policy,
 developers-reference,
 devscripts,
 dh-make,
 doc-base,
 dupload | dput,
 fakeroot,
 lintian,
 pbuilder,
 quilt,
Description: Debian New Maintainers' Guide (Catalan)
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
 .
 This is Catalan translation.

Package: maint-guide-de
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Suggests:
 debian-policy,
 developers-reference,
 devscripts,
 dh-make,
 doc-base,
 dupload | dput,
 fakeroot,
 lintian,
 pbuilder,
 quilt,
Description: Debian New Maintainers' Guide (German)
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
 .
 This is German translation.

Package: maint-guide-es
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Suggests:
 debian-policy,
 developers-reference,
 devscripts,
 dh-make,
 doc-base,
 dupload | dput,
 fakeroot,
 lintian,
 pbuilder,
 quilt,
Description: Debian New Maintainers' Guide (Spanish)
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
 .
 This is Spanish translation.

Package: maint-guide-fr
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Suggests:
 debian-policy,
 developers-reference,
 devscripts,
 dh-make,
 doc-base,
 dupload | dput,
 fakeroot,
 lintian,
 pbuilder,
 quilt,
Description: Debian New Maintainers' Guide (French)
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
 .
 This is French translation.

Package: maint-guide-it
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Suggests:
 debian-policy,
 developers-reference,
 devscripts,
 dh-make,
 doc-base,
 dupload | dput,
 fakeroot,
 lintian,
 pbuilder,
 quilt,
Description: Debian New Maintainers' Guide (Italian)
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
 .
 This is Italian translation.

Package: maint-guide-ja
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Suggests:
 debian-policy,
 developers-reference,
 devscripts,
 dh-make,
 doc-base,
 dupload | dput,
 fakeroot,
 lintian,
 pbuilder,
 quilt,
Description: Debian New Maintainers' Guide (Japanese)
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
 .
 This is Japanese translation.

Package: maint-guide-ru
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Suggests:
 debian-policy,
 developers-reference,
 devscripts,
 dh-make,
 doc-base,
 dupload | dput,
 fakeroot,
 lintian,
 pbuilder,
 quilt,
Description: Debian New Maintainers' Guide (Russian)
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
 .
 This is Russian translation.

Package: maint-guide-vi
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Suggests:
 debian-policy,
 developers-reference,
 devscripts,
 dh-make,
 doc-base,
 dupload | dput,
 fakeroot,
 lintian,
 pbuilder,
 quilt,
Description: Debian New Maintainers' Guide (Vietnamese)
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
 .
 This is Vietnamese translation.

Package: maint-guide-zh-cn
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Suggests:
 debian-policy,
 developers-reference,
 devscripts,
 dh-make,
 doc-base,
 dupload | dput,
 fakeroot,
 lintian,
 pbuilder,
 quilt,
Description: Debian New Maintainers' Guide (Chinese(cn))
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
 .
 This is Chinese(cn) translation.

Package: maint-guide-zh-tw
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Suggests:
 debian-policy,
 developers-reference,
 devscripts,
 dh-make,
 doc-base,
 dupload | dput,
 fakeroot,
 lintian,
 pbuilder,
 quilt,
Description: Debian New Maintainers' Guide (Chinese(tw))
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
 .
 This is Chinese(tw) translation.

=== debian/tests/control ===
Test-Command: grep -qe "Debian New Maintainers' Guid" /usr/share/doc/maint-guide/html/index.en.html
Depends: @

## maint-guide 1.2.53build1

=== debian/changelog ===
maint-guide (1.2.53build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 16 Dec 2025 19:30:30 +0000
